curl --request PATCH \
--url https://api.hubapi.com/media-bridge/2026-03/{appId}/schemas/{objectType} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clearDescription": true,
"allowsSensitiveProperties": true,
"description": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"primaryDisplayProperty": "<string>",
"requiredProperties": [
"<string>"
],
"restorable": true,
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
]
}
'{
"allowsSensitiveProperties": true,
"archived": true,
"fullyQualifiedName": "<string>",
"id": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"objectTypeId": "<string>",
"requiredProperties": [
"<string>"
],
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"portalId": 123,
"primaryDisplayProperty": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}Actualizar el esquema de un tipo de objeto existente
curl --request PATCH \
--url https://api.hubapi.com/media-bridge/2026-03/{appId}/schemas/{objectType} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clearDescription": true,
"allowsSensitiveProperties": true,
"description": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"primaryDisplayProperty": "<string>",
"requiredProperties": [
"<string>"
],
"restorable": true,
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
]
}
'{
"allowsSensitiveProperties": true,
"archived": true,
"fullyQualifiedName": "<string>",
"id": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"objectTypeId": "<string>",
"requiredProperties": [
"<string>"
],
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"portalId": 123,
"primaryDisplayProperty": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.es/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
The access token received from the authorization server in the OAuth 2.0 flow.
El appId de la aplicación del centro multimedia. Es posible tener varias aplicaciones en tu cuenta de desarrollador que utilicen el centro multimedia.
El tipo de objeto para el que quieres actualizar el esquema.
successful operation
Show child attributes